# UniTAP.dev.modules.dut_tests.dut_default_params.hdmi_sink_cable_check_tests

class CableTestMode(enum.IntEnum):

Enum where members are also (and must be) ints

HighSpeed = <CableTestMode.HighSpeed: 0>
LowSpeed = <CableTestMode.LowSpeed: 1>
All = <CableTestMode.All: 2>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class LowSpeedLineSelection(UniTAP.dev.modules.dut_tests.test_group_params_types.Param):

Class `LowSpeedLineSelection` defines variants of tests:

- Voltage swing level 3 (1.2V) supported `voltage_swing_supported`.
- Pre-emphasis level 3 (9.5dB) supported `pre_emphasis_supported`.

LowSpeedLineSelection(json_obj)
hpd: bool

Configure if HPD line will be tested.

###### Returns:

> object of bool type

i2c: bool

Configure if I2C line will be tested.

###### Returns:

> object of bool type

cec: bool

Configure if CEC line will be tested.

###### Returns:

> object of bool type

voltage_5v: bool

Configure if 5V line will be tested.

###### Returns:

> object of bool type

utility: bool

Configure if utility line will be tested.

###### Returns:

> object of bool type

##### Inherited Members

UniTAP.dev.modules.dut_tests.test_group_params_types.Param
  clear
  direct_set_def_value
  default_value
  min_value
  max_value
  config_id
  config_id_name
  name
  value_type
  enumeration_variants
  bit_field_list
  data_length

class HdmiSinkCableCheckTestParam:

Class `HdmiSinkDUTTestParam` allows working with parameters from HDMI DSC source part.

- Set and get test timeout `test_timeout`.
- Seg and get test mode `test_mode` type `CableTestMode`.
- Set and get MIN FRL rate `min_frl_rate` type `HdmiFrlRate`.
- Set and get MAX FRL rate `max_frl_rate` type `HdmiFrlRate`.
- Set and get amount of allowed errors per lane `allowed_errors_per_lane`.
- Set and get errors capture timeout `errors_capture_timeout`.

HdmiSinkCableCheckTestParam(json_obj)
test_timeout: int

Set and get test timeout, in seconds.

###### Returns:

> object of int type

test_mode: CableTestMode

Set and get test mode.

###### Returns:

> object of `CableTestMode` type

min_frl_rate: UniTAP.dev.modules.dut_tests.dut_default_params.hdmi_sink_tests.HdmiFrlRate

Set and get the minimum FRL rate supported by the cable.

###### Returns:

> object of `HdmiFrlRate` type

max_frl_rate: UniTAP.dev.modules.dut_tests.dut_default_params.hdmi_sink_tests.HdmiFrlRate

Set and get the maximum FRL rate supported by the cable.

###### Returns:

> object of `HdmiFrlRate` type

allowed_errors_per_lane: int

Set and get allowed errors per lane.

###### Returns:

> object of int type

errors_capture_timeout: int

Set and get errors capture timeout, in seconds.

###### Returns:

> object of int type

low_speed_line_selection: LowSpeedLineSelection

Set and get low speed lines for testing.

###### Returns:

> object `LowSpeedLineSelection`